using Model;
using Newtonsoft.Json.Linq;
using NuGet.Frameworks;

namespace TestUnitaires
{

    public class TU_Title
    {
        [Theory]
        [InlineData("Trajectoire","morceau1.png","Sortie : 2020")]
        [InlineData(null, "morceau1.png", "Sortie : 2020")]
        [InlineData("Trajectoire", null, "Sortie : 2020")]
        [InlineData("Trajectoire", "morceau1.png", null)]
        [InlineData("Trajectoire", "morceau1png", "Sortie : 2020")]
        [InlineData("Trajectoire", "morceau1. png", "Sortie : 2020")]
        public void TU_Attributes(string name, string url, string info)
        {
            Assert.True(name != null && name.Length < 75);
            Assert.True(url != null && url.Contains('.'));
            Assert.False(url.Contains(' '));
            Assert.True(info != null && info.Length < 500);
        }
    }

}